#include "ginyintercanvi.h"
#include "ui_ginyintercanvi.h"
#include "ginyamics.h"
#include <QDebug>

GinyIntercanvi::GinyIntercanvi(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyIntercanvi)
{
    ui->setupUi(this);
    GinyAmics *gaEsq = new GinyAmics;
    GinyAmics *gaDre = new GinyAmics;

    ui->distDre->addWidget(gaDre);
    ui->distEsq->addWidget(gaEsq);

    connect(gaEsq,SIGNAL(senyalTextCanviat(QString)),
            this,SLOT(slotQuanCanviaText(QString)));
    connect(gaDre,SIGNAL(senyalTextCanviat(QString)),
            this,SLOT(slotQuanCanviaText(QString)));
    connect(gaEsq,SIGNAL(senyalTextCanviat(QString)),
            gaDre,SLOT(slotEmplenaLineEditCognom(QString)));
    connect(gaDre,SIGNAL(senyalTextCanviat(QString)),
            gaEsq,SLOT(slotEmplenaLineEditCognom(QString)));
}

GinyIntercanvi::~GinyIntercanvi()
{
    delete ui;
}

void GinyIntercanvi::slotQuanCanviaText(QString qsz){
    qDebug() << qsz;
}
